com.fasterxml.jackson.dataformat.javaprop.util

## Class JPropPathSplitter.CharPathOnlySplitter

- java.lang.Object
- - com.fasterxml.jackson.dataformat.javaprop.util.JPropPathSplitter
  - - com.fasterxml.jackson.dataformat.javaprop.util.JPropPathSplitter.CharPathOnlySplitter

- Enclosing class:
    JPropPathSplitter

      public static class JPropPathSplitter.CharPathOnlySplitter
      extends JPropPathSplitter

  Simple variant where we only have path separator, and optional "segment is index iff value is integer number"

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.dataformat.javaprop.util.JPropPathSplitter

      `JPropPathSplitter.CharPathOnlySplitter, JPropPathSplitter.FullSplitter, JPropPathSplitter.IndexOnlySplitter, JPropPathSplitter.NonSplitting, JPropPathSplitter.StringPathOnlySplitter`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected char` | `_pathSeparatorChar`

    - ### Fields inherited from class com.fasterxml.jackson.dataformat.javaprop.util.JPropPathSplitter

      `_useSimpleIndex`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JPropPathSplitter.CharPathOnlySplitter(char sepChar, boolean useIndex)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JPropNode` | `splitAndAdd(JPropNode parent, String key, String value)` Main access method for splitting key into one or more segments and using segmentation to add the String value as a node in its proper location.

    - ### Methods inherited from class com.fasterxml.jackson.dataformat.javaprop.util.JPropPathSplitter

      `_addSegment, _asInt, _lastSegment, create`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _pathSeparatorChar

          protected final char _pathSeparatorChar

  - ### Constructor Detail

    - #### JPropPathSplitter.CharPathOnlySplitter

          public JPropPathSplitter.CharPathOnlySplitter(char sepChar,
                                                boolean useIndex)

  - ### Method Detail

    - #### splitAndAdd

          public JPropNode splitAndAdd(JPropNode parent,
                              String key,
                              String value)

      Description copied from class: `JPropPathSplitter`
      Main access method for splitting key into one or more segments and using segmentation to add the String value as a node in its proper location.
      Specified by:
        `splitAndAdd` in class `JPropPathSplitter`
      Returns:
        Newly added node

Copyright © 2017 FasterXML. All rights reserved.